<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextAttribute Method (IEdmVariableValue5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVariableValue5 Interface : GetNextAttribute Method (IEdmVariableValue5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next attribute in the list

Gets the next attribute to which this variable is mapped in an enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextAttribute( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmAttribute5

C# |
--- | ---

    IEdmAttribute5 GetNextAttribute(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmAttribute5^ GetNextAttribute(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next attribute in the list

#### Return Value

IEdmAttribute5

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first attribute in the list, IEdmPos5. Call IEdmVariableValue5::GetFirstAttributePosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the attributes in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmVariable5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVariableValue5 Interface
IEdmVariableValue5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2